package cc.smtweb.system.bpm.spring;

import cc.smtweb.framework.core.mvc.config.ControllerConfig;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;

/**
 * @author kevin
 */
@Configuration
@ComponentScan
public class BpmAutoConfiguration {
  /** 配置自定义service扫描路径 {module}/{service}/{method} */
  @Bean
  public ControllerConfig bpmControllerConfig() {
    return new ControllerConfig("bpm", "cc.smtweb.system.bpm.web", null);
  }
}
