package cc.smtweb.system.bpm.spring.file.attach;


import cc.smtweb.system.bpm.web.sys.base.attach.AttachInfo;

/**
 * Created by Akmm at 13-5-4 下午3:02
 * 附件处理跟踪
 */
public interface IAttachTraceIntf {
    /**
     * 附件上传后
     *
     * @param filePath
     * @param attach
     * @throws Exception
     */
    void afterUpload(String filePath, AttachInfo attach) throws Exception;

    /**
     * 附件删除后
     *
     * @param attach
     * @throws Exception
     */
    void afterDel(AttachInfo attach) throws Exception;

}
