package cc.smtweb.system.bpm.spring.initPlugin;

import cc.smtweb.system.bpm.spring.dataCacheInit.AttachFolderEntityBuffer;
import cc.smtweb.system.bpm.spring.file.attach.AttachUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.stereotype.Component;

/**
 * @Author: zhangyulong
 * @Date: 2021/9/17 15:31
 */

@Component
public class RunDataInit implements ApplicationRunner {
    @Autowired
    private AttachFolderEntityBuffer attachFolderEntityBuffer;
    @Autowired
    private AttachUtil attachUtil;
    @Override
    public void run(ApplicationArguments args) throws Exception {
        attachFolderEntityBuffer.initData();//附件目录缓存
        attachUtil.init();//附件上传方式初始化

    }
}
