package cc.smtweb.system.bpm.web.design.flow.define;

import lombok.Data;

import java.util.List;

/**
 * Created by Akmm at 2022/5/21 10:48
 * 步骤定义
 */
@Data
public class Activity {
    //"id": "",
    private String id;
    //类别：1-开始任务 2-用户任务 3-条件分支 4-并行开始 5-并行结束 6-脚本任务 9-结束任务
    private int type;
    //活动编号，代码可调用
    private String code;
    //活动名称
    private String label;
    //表单定义
    private String page;
    //是否可编辑
    private boolean canEdit;
    //是否需要会签
    private boolean needSign;
    //按钮配置
    private List<Button> buttons;

    //可编辑的字段
    private List<String> eidtFields;
    //不可查看的字段
    private List<String> disableFields;
    //主办人相关信息
    private Handler handler;
    //会签相关信息
    private Sign sign;
}
