package cc.smtweb.system.bpm.web.engine.model.listcard;

import cc.smtweb.framework.core.common.SwMap;
import cc.smtweb.system.bpm.web.design.form.define.PageDataset;
import cc.smtweb.system.bpm.web.design.form.define.PageDatasets;
import cc.smtweb.system.bpm.web.engine.dynPage.DynRetBean;
import org.springframework.util.Assert;

/**
 * @Author:lip
 * @Date : 2022/9/2 15:22
 */
public class ModelUtils {
    public static SwMap buildRetData(String dsName, SwMap data) {
        SwMap mapRet = new SwMap();
        mapRet.put(dsName, DynRetBean.createBean(data));
        return mapRet;
    }

    public static PageDataset findPageDatasetByName(PageDatasets dataSets, String dsName) {
        PageDataset pageDataset = dataSets.findByName(dsName);
        Assert.notNull(pageDataset, "未获取到数据集:" + dsName);
        return pageDataset;
    }
}
