package cc.smtweb.system.bpm.web.engine.model.listcard.lclc1;

import cc.smtweb.framework.core.common.R;
import cc.smtweb.framework.core.db.impl.DefaultEntity;
import cc.smtweb.system.bpm.web.engine.model.listcard.abshandler.AbsSaveHandler;
import cc.smtweb.system.bpm.web.engine.model.listcard.single.LCSingleHelper;

/**
 * @Author:lip
 * @Date : 2022/9/2 11:44
 */
public class LCLC1SaveHandler extends AbsSaveHandler {
    /**
     * 左表保存
     * @return
     */
    public R lSave() {
        DefaultEntity bean = doSave(LCLC1Define.dsLCard);
        return R.success(LCSingleHelper.buildRetData(LCLC1Define.dsLCard, bean.getData()));
    }

    /**
     * 右表保存
     * @return
     */
    public R rSave() {
        DefaultEntity bean = doSave(LCLC1Define.dsRCard);
        return R.success(LCSingleHelper.buildRetData(LCLC1Define.dsRCard, bean.getData()));
    }
}
