package cc.smtweb.system.bpm.web.sys.base.billType;

import cc.smtweb.framework.core.annotation.SwBody;
import cc.smtweb.framework.core.annotation.SwService;
import cc.smtweb.framework.core.common.R;
import cc.smtweb.framework.core.common.SwMap;
import cc.smtweb.framework.core.mvc.service.DefaultComboHandler;
import cc.smtweb.system.bpm.web.engine.dynPage.DynPageService;
import cc.smtweb.framework.core.mvc.service.AbstractHandler;
import cc.smtweb.framework.core.session.UserSession;
import cc.smtweb.system.bpm.web.engine.model.listcard.single.LCSingleSaveHandler;
import cc.smtweb.system.bpm.web.engine.model.listcard.single.LCSingleService;

/**
 * Created by 1 at 2022-08-25 18:44:57
 * 页面【[单据类型列表]的服务类
 */
@SwService
public class BillTypeService extends LCSingleService {
    @Override
    protected AbstractHandler createHandler(String type) {
        if (TYPE_COMBO.equals(type)) return new DefaultComboHandler<BillType>(BillType.ENTITY_NAME);
        return super.createHandler(type);
    }

    @Override
    protected LCSingleSaveHandler getSaveHandler() {
        return new BillTypeSaveHandler();
    }
}
