<#assign fields = group.cfilters>
        {
            "id": "${newId()}",
            "type": "fx-form-panel",
            "shape": "panel",
            "props": {
              "paddingY": 5,
              "paddingX": 10,
              "size": "35",
              "colNum": 2
            },
            "children": [
<#list fields as filter>
              {
                "id": "id${newId()}",
                "type": "fx-${filter.editor}",
                "props": {
                  "label": "${filter.label}",
        <#if filter.maxlength gt 0>
                  "maxlength": ${filter.maxlength},
        </#if>
                  "placeholder": "请输入查询内容",
                  "labelWidth": 100,
                  "dataset": "${filter.dataset}",
                  "field": "${filter.id}",
                  "name": "${filter.name}"
                },
                "events": {}
              },
</#list>
              {
                "id": "id${newId()}",
                "type": "fx-button-group",
                "props": {
                  "menus": []
                },
                "slots": {
                  "default": [
                    {
                      "type": "fx-button",
                      "props": {
                        "label": "查询",
                        "leftIcon": "history-query",
                        "type": "primary",
                        "action": "button:search",
                        "dataset": "${group.dataset}"
                      },
                      "id": "id${newId()}"
                    },
                    {
                      "type": "fx-button",
                      "props": {
                        "label": "重置",
                        "type": "danger",
                        "action": "button:reset",
                        "leftIcon": "figma-reset-instance"
                      },
                      "id": "id${newId()}"
                    },
                    {
                      "id": "id${newId()}",
                      "type": "fx-button",
                      "props": {
                        "label": "新增",
                        "type": "success",
                        "leftIcon": "shield-add",
                        "action": "button:add",
                        "dataset": "${group.dataset}"
                      }
                    }
                  ]
                }
              }
            ]
          },