{
  "version": 6,
  "form": [
    {
      "page": {
        "id": "id${newId()}",
        "type": "fx-page",
        "props": {
          "title": "编辑",
          "key": "${newId()}",
          "tipsExpand": false
        }
      },
      "graph": {
        "shape": "panel",
        "id": "root_panel",
        "type": "fx-split-panel",
        "props": {
          "horizontal": false,
          "shadow": "",
          "scroll": false,
          "size": "",
          "name": "s0"
        },
        "children": [
          {
            "id": "${newId()}",
            "type": "fx-split-panel",
            "shape": "panel",
            "props": {
              "size": "56",
              "horizontal": true,
              "scroll": false,
              "name": "s11"
            },
            "children": [
              {
                "id": "${newId()}",
                "type": "fx-form-panel",
                "shape": "panel",
                "props": {
                  "alignY": "center",
                  "backgroundImage":"bgImg-region-title",
                  "size": "50"

                },
                "children": [
                  {
                    "id": "${newId()}",
                    "type": "fx-button-group",
                    "props": {
                      "menus": []
                    },
                    "slots": {
                      "default": [
                        {
                          "type": "fx-button",
                          "props": {
                            "label": "返回",
                            "leftIcon": "left",
                            "action": "button:return",
                            "text": false,
                            "link": true,
                            "type": "primary",
                            "size": "large"
                          },
                          "id": "${newId()}"
                        }
                      ]
                    }
                  }
                ]
              },
              {
                "id": "${newId()}",
                "type": "fx-form-panel",
                "shape": "panel",
                "props": {
                  "alignY": "center",
                  "size": "200",
"backgroundImage":"bgImg-region-title",
                  "paddingLeft": 10
                },
                "children": [
                  {
                    "id": "${newId()}",
                    "type": "fx-title",
                    "props": {
                      "label": "${title}"
                    }
                  }
                ]
              },
              {
                "id": "${newId()}",
                "type": "fx-form-panel",
                "shape": "panel",
                "props": {
                  "alignY": "center",
"backgroundImage":"bgImg-region-title",
                  "paddingRight": 32
                },
                "children": [
                  {
                    "id": "${newId()}",
                    "type": "fx-button-group",
                    "props": {
                      "menus": [],
                      "textAlign": "right"
                    },
                    "slots": {
                      "default": [
                        {
                          "type": "fx-button",
                          "props": {
                            "label": "删除",
                            "leftIcon": "delete",
                            "type": "",
                            "action": "button:remove"
                          },
                          "id": "${newId()}"
                        },
                        {
                          "id": "${newId()}",
                          "type": "fx-button",
                          "props": {
                            "label": "新增",
                            "type": "primary",
                            "linkType": "curr",
                            "leftIcon": "plus"
                          }
                        }
                      ]
                    }
                  }
                ]
              }
            ]
          },
          {
            "id": "${newId()}",
            "type": "fx-form-panel",
            "shape": "panel",
            "props": {
              "size": "0"
            },
            "children": [
              {
                "id": "${newId()}",
                "type": "fx-divider",
                "props": {
                  "label": "",
                  "contentPosition": "center",
                  "direction": "horizontal"
                }
              }
            ]
          },
          {
            "id": "${newId()}",
            "type": "fx-split-panel",
            "shape": "panel",
            "props": {
              "size": "",
              "horizontal": false,
              "scroll": true,
              "name": "s12"
            },
            "children": [
              {
                <#list layout.c1 as group>
                  "id": "${newId()}",
                  "type": "fx-form-panel",
                  "shape": "panel",
                  "props": {
                    "size": "0",
                    <#if param.col lte 1>
                      "gridTemplateColumns": "1fr 2fr",
                    <#elseif param.col gte 2>
                      "gridTemplateColumns": "1fr 1fr 1fr",
                    </#if>
                    "paddingTop": 32
                  },
                  <#assign fields = group.fields>
                  "children": [
                    <#list fields as field>
                    {
                      "id": "id${newId()}",
                      <#if (field.readonly = true)>
                        "type": "fx-text",
                      <#else>
                        "type": "fx-${field.editor}",
                      </#if>
                      "props": {
                        "label": "${field.label}",

                        "dataset": "${field.dataset}",
                        "required": "${field.required}",
                        "field": "${field.id}",
                        <#if field.maxlength gt 0>
                          "maxlength": ${field.maxlength},
                        </#if>
                        "placeholder": "请输入内容",
                      <#if (param.col = 2)>
                        "tips": "${field.desc}",
                      </#if>
                        "labelWidth": 150,
                      <#if (field.readonly = true)>
                        "readonly": true,
                      <#else>
                        "readonly": false,
                      </#if>
                        "affixError": true
                      },
                      "events": {}
                    }
                    <#if field_has_next>
                      <#if (param.col lte 1 )>
                        <#if (field.desc != "")>
                          ,{
                            "id": "id181d83cdb41",
                            "type": "fx-label",
                            "props": {
                              "label": "${field.desc}",
                              "labelWidth": 0,
                              "affixError": true,
                              "labelAlign": "left"
                            }
                          }
                        <#else>
                        ,{
                            "id": "id${newId()}",
                            "type": "fx-placeholder",
                            "props": {
                              "label": "占位"
                            },
                            "layout": {
                              "row": 1
                            }
                        }
                        </#if>
                      </#if>
                      <#if (param.col = 2 && ((field_index+1) % 2 = 0 ) )>
                        ,{
                        "id": "id${newId()}",
                        "type": "fx-placeholder",
                        "props": {
                        "label": "占位"
                        },
                        "layout": {
                        "row": 1
                        }
                        }
                      </#if>
                      ,
                    </#if>
                    </#list>
                ]
                </#list>
              },

              {
                "id": "${newId()}",
                "type": "fx-form-panel",
                "shape": "panel",
                "props": {
                  "size": "56",
                  "alignY": "center",
                  "paddingLeft": 150
                },
                "children": [
                  {
                    "id": "${newId()}",
                    "type": "fx-button-group",
                    "props": {
                      "menus": []
                    },
                    "slots": {
                      "default": [
                        {
                          "type": "fx-button",
                          "props": {
                            "label": "保存并新增",
                            "type": "primary",
                            "action": "button:saveAndAdd",
                            "linkType": "curr"
                          },
                          "id": "${newId()}"
                        },
                        {
                          "type": "fx-button",
                          "props": {
                            "label": "保存",
                            "leftIcon": "save",
                            "type": "success",
                            "action": "button:save"
                          },
                          "id": "${newId()}"
                        }
                      ]
                    }
                  }
                ]
              },
              {
                "id": "${newId()}",
                "type": "fx-form-panel",
                "shape": "panel",
                "props": {
                  "name": "d2"
                },
                "children": []
              }
            ]
          }
        ]
      }
    }
  ],
  "model": [
    <#list datasets as dataset>
    <#include "incModel/inc_model.ftl"/><#if dataset_has_next>,</#if>
    </#list>
  ],
  "option": {
    "widgetRef": [${widgetRef}],
    "vars": []
  }
}