{
  "version": 6,
  "form": [
    {
      "page": {
        "id": "p${newId()}",
        "type": "fx-page",
        "props": {
          "title": "${title}",
          "key": "${newId()}"
        }
      },
      "graph": {
        "shape": "panel",
        "id": "root_panel",
        "type": "fx-split-panel",
        "props": {
          "horizontal": false,
          "shadow": "never",
          "size": "1200"
        },
        "children": [
          {
            "id": "${newId()}",
            "type": "fx-split-panel",
            "shape": "panel",
            "props": {
              "size": "56",
              "horizontal": true,
              "scroll": false,
              "name": "s11"
            },
            "children": [
              {
                "id": "${newId()}",
                "type": "fx-form-panel",
                "shape": "panel",
                "props": {
                  "alignY": "center",
                  "backgroundImage": "",
                  "size": "50"
                },
                "children": [
                  {
                    "id": "${newId()}",
                    "type": "fx-button-group",
                    "props": {
                      "menus": []
                    },
                    "slots": {
                      "default": [
                        {
                          "type": "fx-button",
                          "props": {
                            "label": "返回",
                            "leftIcon": "left",
                            "action": "button:return",
                            "text": false,
                            "link": true,
                            "type": "primary",
                            "size": "large"
                          },
                          "id": "${newId()}"
                        }
                      ],
                      "dropdown": []
                    }
                  }
                ]
              },
              {
                "id": "${newId()}",
                "type": "fx-form-panel",
                "shape": "panel",
                "props": {
                  "alignY": "center",
                  "size": "200",
                  "backgroundImage": "",
                  "paddingLeft": 10
                },
                "children": [
                  {
                    "id": "${newId()}",
                    "type": "fx-title",
                    "props": {
                      "label": "${title}"
                    }
                  }
                ]
              },
              {
                "id": "${newId()}",
                "type": "fx-form-panel",
                "shape": "panel",
                "props": {
                  "alignY": "center",
                  "backgroundImage": "",
                  "paddingRight": 32
                },
                "children": [
                  {
                    "id": "${newId()}",
                    "type": "fx-button-group",
                    "props": {
                      "menus": [],
                      "textAlign": "right"
                    },
                    "slots": {
                      "default": [
                        {
                          "type": "fx-button",
                          "props": {
                            "label": "删除",
                            "leftIcon": "delete",
                            "type": "",
                            "action": "button:remove"
                          },
                          "id": "${newId()}"
                        },
                        {
                          "id": "${newId()}",
                          "type": "fx-button",
                          "props": {
                            "label": "新增",
                            "type": "primary",
                            "linkType": "curr",
                            "leftIcon": "plus"
                          }
                        }
                      ],
                      "dropdown": []
                    }
                  }
                ]
              }
            ]
          },
          {
            "id": "${newId()}",
            "type": "fx-form-panel",
            "shape": "panel",
            "props": {
              "size": "0"
            },
            "children": [
              {
                "id": "id${newId()}",
                "type": "fx-divider",
                "props": {
                  "label": "",
                  "contentPosition": "center",
                  "direction": "horizontal"
                }
              }
            ]
          },
          <#if (param.want_point)>
          {
            "id": "1821e887b9a",
            "type": "fx-form-panel",
            "shape": "panel",
            "props": {
              "alignY": "center",
              "size": "0",
              "paddingTop": 20,
              "paddingLeft": 200,
              "paddingRight": 200,
              "paddingBottom": 20
            },
            "children": [
              {
                "id": "id1821e887baf",
                "type": "fx-steps",
                "w": 3,
                "h": 2,
                "props": {
                  "active": 1,
                  "alignCenter": true
                },
                "slots": {
                  "default": [
                    {
                      "type": "fx-step",
                      "props": {
                        "label": "步骤一",
                        "description": "我是一段描述"
                      },
                      "id": "id1821e887bb0"
                    },
                    {
                      "type": "fx-step",
                      "props": {
                        "label": "步骤二",
                        "description": "我也是一段描述"
                      },
                      "id": "id1821e887bb1"
                    },
                    {
                      "type": "fx-step",
                      "props": {
                        "label": "步骤三",
                        "description": "我也也是一段描述"
                      },
                      "id": "id1821e887bb2"
                    }
                  ]
                },
                "events": {}
              }
            ]
          },
          {
            "id": "734718093699321868",
            "type": "fx-form-panel",
            "shape": "panel",
            "props": {
              "size": "0"
            },
            "children": [
              {
                "id": "id734718093699321869",
                "type": "fx-divider",
                "props": {
                  "label": "",
                  "contentPosition": "center",
                  "direction": "horizontal"
                }
              }
            ]
          },
          </#if>
          {
            "id": "${newId()}",
            "type": "fx-split-panel",
            "shape": "panel",
            "props": {
              "horizontal": false,
              "scroll": true,
              "tab": false
            },
            "children": [
              {
                "id": "${newId()}",
                "type": "fx-form-panel",
                "shape": "panel",
                "props": {
                  "size": "10",
                  "backgroundColor": "--color-transparent"
                },
                "children": []
              },
              <#list layout.c1 as group>

              {
                "id": "${newId()}",
                "type": "fx-form-panel",
                "shape": "panel",
                "props": {
                  "size": "48",
                  "label": "${group.label}",
                  "colNum": 2,
                  "alignY": "center",
                  "paddingLeft": 32,
                  "paddingRight": 32,
                  "shadow": "",
                  "backgroundImage": "bgImg-region-title"
                },
                "children": [
                  {
                    "id": "id${newId()}",
                    "type": "fx-title",
                    "props": {
                      "label": "${group.label}",
                      "fontSize": 16,
                      "color": "#01070D",
                      "fontWeight": "bold",
                      "showPrefix": false,
                      "prefixWidth": 5,
                      "prefixHeight": 24,
                      "prefixColor": "#1E90FF"
                    }
                  }
                ]
              },
              <#include "incModel/inc_card_group.ftl"/>
              {
                "id": "${newId()}",
                "type": "fx-form-panel",
                "shape": "panel",
                "props": {
                  "size": "10",
                  "backgroundColor": "transparent"
                },
                "children": []
              }<#if group_has_next>,</#if>
              </#list>
            ]
          },
          {
            "shape": "panel",
            "id": "form_panel",
            "type": "fx-form-panel",
            "props": {
              "colNum": 3,
              "paddingX": 5,
              "paddingY": 5,
              "size": "56",
              "alignX": "",
              "alignY": "center",
              "shadow": "always"
            },
            "children": [
              {
                "id": "id${newId()}",
                "type": "fx-button-group",
                "props": {
                  "showDropdown": false,
                  "textAlign": "center"
                },
                "slots": {
                  "default": [
                    {
                      "type": "fx-button",
                      "props": {
                        "label": "重置",
                        "leftIcon": "",
                        "type": "",
                        "action": "button:add",
                        "linkType": "curr"
                      },
                      "id": "id${newId()}"
                    },
                    {
                      "type": "fx-button",
                      "props": {
                        "label": "保存",
                        "leftIcon": "",
                        "type": "primary",
                        "action": "button:save"
                      },
                      "id": "id${newId()}"
                    },
                    {
                      "type": "fx-button",
                      "props": {
                        "label": "保存并新增",
                        "leftIcon": "",
                        "action": "button:return",
                        "type": "primary"
                      },
                      "id": "id${newId()}"
                    }
                  ],
                  "dropdown": []
                },
                "layout": {
                  "row": 3,
                  "col": 3
                }
              }
            ]
          }
        ]
      }
    }
  ],
  "model": [
    <#list datasets as dataset>
    <#include "incModel/inc_model.ftl"/><#if dataset_has_next>,</#if>
    </#list>
  ],
  "option": {
    "widgetRef": [${widgetRef}],
    "vars": []
  }
}