{
<#list layout.list as group>
    "form":
    [
        {
            "page": {
                "id": "p${newId()}",
                "type": "fx-page",
                "props": {
                    "title": "${title}",
                    "key": "${newId()}"
                }
            },
            "graph": {
                "shape": "panel",
                "id": "root_panel",
                "type": "fx-split-panel",
                "props": {
                    "horizontal": false,
                    "shadow": ""
                },
                "children": [
                    <#if (group.cfilters?size>0)>
                        <#include "incModel/inc_list_query.ftl"/>
                    </#if>
                    {
                        "id": "${newId()}",
                        "type": "fx-form-panel",
                        "shape": "panel",
                        "props": {
                            "size": "56",
                            "label": "查询条件",
                            "colNum": 2,
                            "alignY": "center",
                            "paddingLeft": 16,
                            "paddingRight": 16,
                            "shadow": ""
                        },
                        "children": [
                            {
                                "id": "id${newId()}",
                                "type": "fx-title",
                                "props": {
                                    "label": "${title}",
                                    "showPrefix": true
                                }
                            },
                            {
                                "id": "id${newId()}",
                                "type": "fx-button-group",
                                "props": {
                                    "menus": [],
                                    "textAlign": "right"
                                },
                                "slots": {
                                    "default": [
                                        {
                                            "id": "id${newId()}",
                                            "type": "fx-button",
                                            "props": {
                                                "label": "新增",
                                                "leftIcon": "plus",
                                                "type": "primary",
                                                "action": "button:addCard",
                                                "link": false,
                                                "linkType": "",
                                                "fxLink": ""
                                            }
                                        }
                                    ]
                                }
                            }
                        ]
                    },
                    <#include "incModel/inc_list_table.ftl"/>
                    {
                        "id": "${newId()}",
                        "type": "fx-form-panel",
                        "shape": "panel",
                        "props": {
                            "size": "15",
                            "backgroundColor": "transparent"
                        },
                        "children": []
                    }
                ]
            }
        }
    <#if (group.sfilters?size>0)>
        <#include "incModel/inc_query_sfilters.ftl"/>
    </#if>
    ],
</#list>
"model": [
<#list datasets as dataset>
    <#include "incModel/inc_model.ftl"/><#if dataset_has_next>,</#if>
</#list>
],
"option": {
"widgetRef": [${widgetRef}],
"vars": []
}
}
