{
  "version": 6,
  "form": [
    {
      "page": {
        "id": "p${newId()}",
        "type": "fx-page",
        "props": {
          "title": "${title}",
          "key": "${newId()}"
        }
      },
      "graph": {
        "shape": "panel",
        "id": "root_panel",
        "type": "fx-split-panel",
        "props": {
          "horizontal": false,
          "shadow": "never"
        },
        "children": [
          {
            "id": "${newId()}",
            "type": "fx-split-panel",
            "shape": "panel",
            "props": {
              "size": "56",
              "horizontal": true,
              "scroll": false,
              "name": "s11"
            },
            "children": [
              {
                "id": "${newId()}",
                "type": "fx-form-panel",
                "shape": "panel",
                "props": {
                  "alignY": "center",
                  "backgroundImage": "",
                  "size": "50"
                },
                "children": [
                  {
                    "id": "${newId()}",
                    "type": "fx-button-group",
                    "props": {
                      "menus": []
                    },
                    "slots": {
                      "default": [
                        {
                          "type": "fx-button",
                          "props": {
                            "label": "返回",
                            "leftIcon": "left",
                            "action": "button:return",
                            "text": false,
                            "link": true,
                            "type": "primary",
                            "size": "large"
                          },
                          "id": "${newId()}"
                        }
                      ],
                      "dropdown": []
                    }
                  }
                ]
              },
              {
                "id": "${newId()}",
                "type": "fx-form-panel",
                "shape": "panel",
                "props": {
                  "alignY": "center",
                  "size": "200",
                  "backgroundImage": "",
                  "paddingLeft": 10
                },
                "children": [
                  {
                    "id": "${newId()}",
                    "type": "fx-title",
                    "props": {
                      "label": "分组表单"
                    }
                  }
                ]
              },
              {
                "id": "${newId()}",
                "type": "fx-form-panel",
                "shape": "panel",
                "props": {
                  "alignY": "center",
                  "backgroundImage": "",
                  "paddingRight": 32
                },
                "children": [
                  {
                    "id": "${newId()}",
                    "type": "fx-button-group",
                    "props": {
                      "menus": [],
                      "textAlign": "right"
                    },
                    "slots": {
                      "default": [
                        {
                          "type": "fx-button",
                          "props": {
                            "label": "删除",
                            "leftIcon": "delete",
                            "type": "",
                            "action": "button:remove"
                          },
                          "id": "${newId()}"
                        },
                        {
                          "id": "${newId()}",
                          "type": "fx-button",
                          "props": {
                            "label": "新增",
                            "type": "primary",
                            "linkType": "curr",
                            "leftIcon": "plus"
                          }
                        }
                      ],
                      "dropdown": []
                    }
                  }
                ]
              }
            ]
          },
          {
            "id": "${newId()}",
            "type": "fx-form-panel",
            "shape": "panel",
            "props": {
              "size": "0"
            },
            "children": [
              {
                "id": "id${newId()}",
                "type": "fx-divider",
                "props": {
                  "label": "",
                  "contentPosition": "center",
                  "direction": "horizontal"
                }
              }
            ]
          },
          {
            "id": "${newId()}",
            "type": "fx-form-panel",
            "shape": "panel",
            "props": {
              "size": "15",
              "backgroundColor": "--color-transparent"
            },
            "children": []
          },
          {
            "id": "${newId()}",
            "type": "fx-split-panel",
            "shape": "panel",
            "props": {
              "horizontal": true
            },
            "children": [
              {
                "id": "${newId()}",
                "type": "fx-split-panel",
                "shape": "panel",
                "props": {
                  "horizontal": false,
                  "scroll": true
                },
                "children": [
                  <#list layout.c1 as group>
                  {
                    "id": "${newId()}",
                    "type": "fx-form-panel",
                    "shape": "panel",
                    "props": {
                      "size": "48",
                      "label": "${group.label}",
                      "colNum": 2,
                      "alignY": "center",
                      "paddingLeft": 32,
                      "paddingRight": 32,
                      "shadow": "",
                      "backgroundImage": "bgImg-region-title"
                    },
                    "children": [
                      {
                        "id": "id${newId()}",
                        "type": "fx-title",
                        "props": {
                          "label": "${group.label}",
                          "fontSize": 16,
                          "color": "#01070D",
                          "fontWeight": "bold",
                          "showPrefix": false,
                          "prefixWidth": 5,
                          "prefixHeight": 24,
                          "prefixColor": "#1E90FF"
                        }
                      }
                    ]
                  },
                  {
                    "id": "${newId()}",
                    "type": "fx-form-panel",
                    "shape": "panel",
                    "props": {
                      "size": "0"
                    },
                    "children": [
                      {
                        "id": "id${newId()}",
                        "type": "fx-divider",
                        "props": {
                          "label": "",
                          "contentPosition": "center",
                          "direction": "horizontal"
                        }
                      }
                    ]
                  },
                  <#include "incModel/inc_card_group.ftl"/>
                  </#list>
                  {
                    "id": "${newId()}",
                    "type": "fx-form-panel",
                    "shape": "panel",
                    "props": {
                      "minWidth": "2000",
                      "maxWidth": "2000"
                    },
                    "children": []
                  }
                ]
              },
              {
                "id": "${newId()}",
                "type": "fx-split-panel",
                "shape": "panel",
                "props": {
                  "size": "15",
                  "horizontal": false
                },
                "children": [
                  {
                    "id": "${newId()}",
                    "type": "fx-form-panel",
                    "shape": "panel",
                    "props": {
                      "backgroundColor": "--color-transparent"
                    },
                    "children": []
                  },
                  {
                    "id": "${newId()}",
                    "type": "fx-form-panel",
                    "shape": "panel",
                    "props": {
                      "backgroundColor": "--color-transparent",
                      "minWidth": "",
                      "maxWidth": ""
                    },
                    "children": []
                  }
                ]
              },
              {
                "id": "${newId()}",
                "type": "fx-split-panel",
                "shape": "panel",
                "props": {
                  "size": "180",
                  "horizontal": false,
                  "panelHidden": false
                },
                "children": [
                  {
                    "id": "${newId()}",
                    "type": "fx-form-panel",
                    "shape": "panel",
                    "props": {
                      "alignX": "start",
                      "size": "0"
                    },
                    "children": [
                      {
                        "id": "id${newId()}",
                        "type": "fx-tabs",
                        "props": {
                          "tabPosition": "right"
                        },
                        "slots": {
                          "default": [
                            <#list layout.c1 as group>
                            {
                              "type": "fx-tab",
                              "props": {
                                "name": "tab1",
                                "label": "${group.label}"
                              },
                              "id": "${newId()}"
                            }
                            <#if group_has_next>,</#if>
                            </#list>
                          ]
                        },
                        "events": {}
                      }
                    ]
                  },
                  {
                    "id": "${newId()}",
                    "type": "fx-form-panel",
                    "shape": "panel",
                    "props": {
                      "backgroundColor": "--color-transparent"
                    },
                    "children": []
                  }
                ]
              }
            ]
          },
          {
            "shape": "panel",
            "id": "form_panel",
            "type": "fx-form-panel",
            "props": {
              "colNum": 3,
              "paddingX": 5,
              "paddingY": 5,
              "size": "56",
              "alignX": "",
              "alignY": "center",
              "shadow": "always"
            },
            "children": [
              {
                "id": "id${newId()}",
                "type": "fx-button-group",
                "props": {
                  "showDropdown": false,
                  "textAlign": "center"
                },
                "slots": {
                  "default": [
                    {
                      "type": "fx-button",
                      "props": {
                        "label": "重置",
                        "leftIcon": "",
                        "type": "",
                        "action": "button:add",
                        "linkType": "curr"
                      },
                      "id": "id${newId()}"
                    },
                    {
                      "type": "fx-button",
                      "props": {
                        "label": "保存",
                        "leftIcon": "",
                        "type": "primary",
                        "action": "button:save"
                      },
                      "id": "id${newId()}"
                    },
                    {
                      "type": "fx-button",
                      "props": {
                        "label": "保存并新增",
                        "leftIcon": "",
                        "action": "button:return",
                        "type": "primary"
                      },
                      "id": "id${newId()}"
                    }
                  ],
                  "dropdown": []
                },
                "layout": {
                  "row": 3,
                  "col": 3
                }
              }
            ]
          }
        ]
      }
    }
  ],
  "model": [
    <#list datasets as dataset>
    <#include "incModel/inc_model.ftl"/><#if dataset_has_next>,</#if>
    </#list>
  ],
  "option": {
    "widgetRef": [${widgetRef}],
    "vars": []
  }
}