package cc.smtweb.framework.core.mvc.config;

import cc.smtweb.framework.core.mvc.controller.scan.IScanActionBuilder;
import lombok.Getter;

@Getter
public class ControllerConfig {
  /** 模块名称 */
  private final String module;
  /** 控制器的包路径 */
  private final String packagePath;

  private IScanActionBuilder scanActionBuilder;

  public ControllerConfig(String module, String packagePath) {
    this(module, packagePath, null);
  }

  public ControllerConfig(String module, String packagePath, IScanActionBuilder scanActionBuilder) {
    this.module = module;
    this.packagePath = packagePath;
    this.scanActionBuilder = scanActionBuilder;
  }
}
