package cc.smtweb.framework.core.mvc.controller;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * API相关配置参数
 * @author xkliu
 */
@Component
@ConfigurationProperties(prefix = "smtweb.api")
@Data
public class ApiConfigBean {
  // JSON是否输出非空字段
  private boolean jsonFull;
  // 是否支持大驼峰url匹配规则
  private boolean lowerCaseUrl;
  // 是否支持大驼峰url匹配规则，默认都支持 little camel-case
  private boolean bigCameCaseUrl;
}
