package cc.smtweb.framework.core.mvc.realm;

import cc.smtweb.framework.core.session.UserSession;

import java.util.Set;

/**
 * @author kevin
 * 用户权限加载器
 */
public interface IRealmLoader {
  /**
   * 读取用户权限集合
   * @param userSession 用户会话
   * @return 权限集合
   */
  Set<String> getPermits(UserSession userSession);
}
