package cc.smtweb.system.bpm.web.engine.model.listcard.lclc1;

import cc.smtweb.framework.core.common.R;
import cc.smtweb.system.bpm.web.engine.model.listcard.abshandler.AbsDelHandler;

/**
 * @Author:lip
 * @Date : 2022/9/2 11:44
 */
public class LCLC1DelHandler extends AbsDelHandler {

    /**
     * 左列表删除
     * @return
     */
    public R lLDel(){
        doDel(LCLC1Define.dsLList);
        return R.success();
    }

    /**
     * 左卡片删除
     * @return
     */
    public R lCDel(){
        doDel(LCLC1Define.dsLCard);
        return R.success();
    }

    /**
     * 右列表删除
     * @return
     */
    public R rLDel(){
        doDel(LCLC1Define.dsRList);
        return R.success();
    }

    /**
     * 右卡片删除
     * @return
     */
    public R rCDel(){
        doDel(LCLC1Define.dsRCard);
        return R.success();
    }
}
