<#assign tmpl_Type = tmplType>
{
    "id": "${newId()}",
    "type": "fx-form-panel",
    "shape": "panel",
    "props": {
        "size": "",
        "label": "列表",
        "colNum": 0,
        "paddingLeft": 20,
        "paddingRight": 20,
        "shadow": ""
    },
    "children": [
        {
            "id": "id${newId()}",
            "type": "fx-table",
            "props": {
                "label": "表格",
                "border": true,
                "stripe": true,
                "showHeader": true,
                "fit": true,
                "dataset": "${group.dataset}",
                "actionWidth": 120
            },
            "slots": {
                <#if (group.fields?size>0)>
                    <#assign fields = group.fields>
                    "default": [
                        <#list fields as col>
                            {
                                "id": "id${newId()}",
                                "type": "fx-table-column",
                                "props": {
                                    "field": "${col.id}",
                                    "label": "${col.label}"
                                }
                            }
                            <#if col_has_next>,</#if>
                        </#list>
                    ],
                </#if>
                "button": [
                    {
                        "id": "id${newId()}",
                        "type": "fx-button",
                        "props": {
                            "label": "编辑",
                            "type": "primary",
                            "leftIcon": "edit",
                            "action": "button:loadRow",
                            "link": false,
                            "text": true,
                            "linkType": "dialog",
                            "fxLink": "dialog:cardSubDialog",
                            "fxLink_text": "子表编辑卡片"
                        }
                    },
                    {
                        "id": "id${newId()}",
                        "type": "fx-button",
                        "props": {
                            "label": "删除",
                            "type": "danger",
                            "leftIcon": "delete-themes",
                            "action": "button:delRow",
                            "link": false,
                            "text": true,
                            "confirm": ""
                        }
                    }
                ]
            },
            "events": {}
        }
    ]
},
