{
            "shape": "panel",
            "id": "form_panel",
            "type": "fx-form-panel",
            "props": {
              "colNum": 0,
              "paddingX": 5,
              "paddingY": 5,
              "align": "full"
            },
            "children": [
              {
                "id": "id${newId()}",
                "type": "fx-table",
                "props": {
                  "label": "表格",
                  "border": true,
                  "stripe": true,
                  "showHeader": true,
                  "fit": true,
                  "dataset": "${group.dataset}",
                  "actionWidth": 120
                },
                "slots": {
<#assign fields = group.fields>
                  "default": [
<#list fields as col>
                    {
                      "id": "id${newId()}",
                      "type": "fx-table-column",
                      "props": {
                        "field": "${col.id}",
                        "label": "${col.label}"
                      }
                    }<#if col_has_next>,</#if>
</#list>
                  ],
                  "button": [
                    {
                      "type": "fx-button",
                      "props": {
                        "label": "编",
                        "leftIcon": "edit",
                        "action": "button:edit",
                        "linkType": "dialog",
                        "dataset": "${group.dataset}"
                      },
                      "id": "id1813718bf36"
                    },
                    {
                      "type": "fx-button",
                      "props": {
                        "label": "删",

                        "leftIcon": "delete",
                        "action": "button:del",
                        "dataset": "${group.dataset}"
                      },
                      "id": "id${newId()}"
                    }
                  ]
                },
                "events": {}
              }
            ]
          }