{
  "form": [
    {
      "page": {
        "id": "p${newId()}",
        "type": "fx-page",
        "props": {
          "title": "${title}",
          "key": "${newId()}"
        }
      },
      "graph": {
        "shape": "panel",
        "id": "root_panel",
        "type": "fx-split-panel",
        "props": {
          "horizontal": false,
          "shadow": "never"
        },
        "children": [
<#list layout.c1 as group>
  <#if (group.type == "list")>
    <#if (group.cfilters?size>0)>
    <#include "incModel/inc_filter.ftl"/>
    </#if>
    <#include "incModel/inc_grid_opt.ftl"/>
  <#elseif (group.type == "card")>
    <#include "incModel/inc_form.ftl"/>
  </#if>
  <#if group_has_next>,</#if>
</#list>
        ]
      }
    }
  ],
  "model": [
<#list datasets as dataset>
  <#include "incModel/inc_model.ftl"/><#if dataset_has_next>,</#if>
</#list>
  ],
  "option": {
    "widgetRef": [${widgetRef}],
    "vars": []
  }
}