package cc.smtweb.framework.core.mvc;

/**
 * 定时任务唤醒服务接口
 * @author xkliu
 */
public interface ISchedulerWakeup {
  /**
   * 唤醒定时任务立即执行
   * @param clazz 包含定时任务方法的类名
   * @param methodName 有定时任务注解的方法名
   * @return 是否唤醒请求成功
   */
  boolean wakeup(Class<?> clazz, String methodName);
}
