package cc.smtweb.framework.core.mvc.realm.interceptor;

import cc.smtweb.framework.core.cache.redis.RedisManager;

import javax.servlet.http.HttpServletRequest;

/**
 * 权限拦截器，在API请求处理中一起完成
 * @author xkliu
 */
public class PermInterceptor extends AbstractPermInterceptor {
  public PermInterceptor(RedisManager redisManager) {
    super(redisManager);
  }

  /**
   * 校验用户是否有API权限
   * @param request http请求
   * @param permissionValue 权限值
   * @return 是否有权限
   */
  public boolean preHandle(HttpServletRequest request, String permissionValue) {
    return super.handle(request, permissionValue);
  }
}
